%define oname   stream

Name:       ruby-%{oname}
Version:    0.5.5
Release:    %mkrel 1
Summary:    Module Stream defines an interface for external iterators
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/monora/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Module Stream defines an interface for external iterators

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install



%changelog
* Sat Jul 01 2023 bcornec <bcornec> 0.5.5-1.mga9
+ Revision: 1963397
- Upload ruby-pairing_heap as a dep for vagrant 2.3.7 support
- Created package structure for ruby-stream.

